# CI-CD-Challenge
**I tried to provide explanations for each command in the files.**

**I didn't access to any public kubernetes cluster so I couldn't write the pipeline for deployment proccess**

# Note:
**to run container using "docker run" command as a normal user and without any modifiers you should add user(here is shayan) to docker group:**

usermod -aG docker shayan

